/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomMutationEvent_H___INT_
#define __GdomMutationEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEvent.h"
#include "GDOMObject.h"
#include "MutationEvent.h"
G_BEGIN_DECLS
class GDOMMutationEvent : public GDOMEvent {
    typedef GDOMEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_MUTATION_EVENT; }
    GDOMMutationEvent(PassRefPtr<WebCore::MutationEvent> impl);
};
G_END_DECLS

#endif /* __GdomMutationEvent_H___INT_*/
